## texlive-bin 2016.20160513.41080

=== debian/changelog ===
texlive-bin (2016.20160513.41080-6) unstable; urgency=medium

  * release to unstable

 -- Norbert Preining <preining@debian.org>  Fri, 19 Aug 2016 13:00:34 +0900

texlive-bin (2016.20160513.41080-5) experimental; urgency=medium

  * fix pdftex segfaults with pdf docs with non-integer stemv values
    - this is a problem introduced by poppler, upstream TeX Live
    has not problem with this.
  * build and install tex4ht, add java dependencies

 -- Norbert Preining <preining@debian.org>  Mon, 15 Aug 2016 08:07:09 +0900

texlive-bin (2016.20160513.41080-4) unstable; urgency=medium

  * fix for upmendex segfaults (upstream svn 41497 and 41498)
    - reactivate upmendex building for all archs
    (Closes: #824791)

 -- Norbert Preining <preining@debian.org>  Mon, 20 Jun 2016 13:18:21 +0900

texlive-bin (2016.20160513.41080-3) unstable; urgency=medium

  * fix pdftex segfault on pdfmatch invocations (upstream svn 41418)
  * rename SOURCE_DATE_EPOCH_TEX_PRIMITIVES to FORCE_SOURCE_DATE
    as requested by reproducible-build. (upstream svn 41417)
  * fix check_box bug in ptex (upstream svn 41295)

 -- Norbert Preining <preining@debian.org>  Tue, 14 Jun 2016 13:23:59 +0900

texlive-bin (2016.20160513.41080-2) unstable; urgency=medium

  * uniform luajit options
  * try fixing test errors on icu-related progs
  * break context << 2016 due to luatex incompatibility (Closes: #824474)
  * syntax fix in rules
  * try to fix build/test errors on mips(el) and sparc (Closes: #824260)
    - make C(XX)FLAGS additive
    - remove mips(el) from luajit archs (debian/rules and /control)
    - disable upmendex on sparc/mips(el)

 -- Norbert Preining <preining@debian.org>  Wed, 18 May 2016 23:00:23 +0900

texlive-bin (2016.20160513.41080-1) unstable; urgency=medium

  * Imported Upstream version 2016.20160513.41080
    - fix for xetex and luatex
  * disable upstream included patch for dvipdfmx
  * fix building on jit-unsupported archs, thanks to Thorsten Glaser
    (Closes: #824166)

 -- Norbert Preining <preining@debian.org>  Fri, 13 May 2016 19:57:37 +0900

texlive-bin (2016.20160512.41045-1) unstable; urgency=medium

  * break against old texlive (Closes: #820716)
  * install a desktop file for xdvi (Thanks Pino Toscano, upupstream)
  * imported Upstream version 2016.20160512.41045
    support for suppressing time stamps (SOURCE_DATE_EPOCH) (Closes: #792202)
  * add support for SOURCE_DATE_EPOCH also to luatex
  * update patches
  * bump standards version - no further changes necessary
  * include a fix for dvipdfmx eating cid type2 font characters

 -- Norbert Preining <preining@debian.org>  Thu, 12 May 2016 10:36:39 +0900

texlive-bin (2016.20160409.40358-1) experimental; urgency=medium

  * build gregorio, replace file in the old package (Closes: #815682)
  * switch to system libraries for most libraries but libteckit
    (which is only in experimental) (Closes: #810001)
  * update patches

 -- Norbert Preining <preining@debian.org>  Sat, 09 Apr 2016 17:06:21 +0900

=== debian/control ===
Source: texlive-bin
Section: tex
Priority: optional
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <preining@debian.org>, Frank Küster <frank@kuesterei.ch>
Build-Depends:
  autoconf (>= 2.69),
  automake (>= 1:1.13.1),
  bison,
  debhelper (>= 9),
  dh-autoreconf,
  flex,
  libcairo2-dev,
  libfontconfig1-dev,
  libfreetype6-dev,
  libgd-dev,
  libgmp-dev,
  libgraphite2-dev,
  libgs-dev,
  libharfbuzz-dev (>= 0.9.18-3),
  libicu-dev,
  libmpfr-dev,
  libncurses5-dev | libncurses-dev,
  libpaper-dev,
  libpixman-1-dev (>= 0.32.4),
  libpng-dev,
  libpoppler-private-dev (>= 0.38),
  libpotrace-dev (>= 1.11),
  libtool (>= 2.4.2),
  libxaw7-dev,
  libxi-dev,
  libzzip-dev (>= 0.12),
  m4 (>= 1.4.16),
  sharutils,
  texinfo,
  time,
  zlib1g-dev | libz-dev,
  default-jdk
Standards-Version: 3.9.8
Homepage: http://www.tug.org/texlive/
Vcs-Git: git://anonscm.debian.org/debian-tex/texlive-bin.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-tex/texlive-bin.git

Package: texlive-binaries
Architecture: any
Multi-Arch: foreign
Depends: libptexenc1 (>= ${source:Version}), 
  libptexenc1 (<< ${source:Version}.1~), 
  libkpathsea6 (>= ${source:Version}), 
  libkpathsea6 (<< ${source:Version}.1~), 
  libsynctex1 (>= ${source:Version}), 
  libsynctex1 (<< ${source:Version}.1~), 
  libtexlua52 (>= ${source:Version}), 
  libtexlua52 (<< ${source:Version}.1~), 
  libtexluajit2 (>= ${source:Version}) [amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 powerpc], 
  libtexluajit2 (<< ${source:Version}.1~) [amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 powerpc], 
  t1utils,
  ${shlibs:Depends}, ${misc:Depends}, 
  tex-common (>= 6), perl, dpkg (>= 1.15.4) | install-info
Recommends: texlive-base, python, ruby, wish
Replaces: texlive-metapost (<< 2010), texlive-base (<< 2010), ptex-bin, mendexk, jmpost, luatex (<< 2014), musixtex (<< 1:1.20.ctan20151216-3), pmx (<< 2.7.0.ctan20150301-3), m-tx (<< 0.61.ctan20151217-2), gregorio (<= 2.3-1), tex4ht (<< 20160814)
Conflicts: mendexk, makejvf, jmpost
Breaks: texlive-base (<< 2016), jtex-bin, multex-bin, luatex (<< 2014), tex-common (<< 6), musixtex (<< 1:1.20.ctan20151216-3), pmx (<< 2.7.0.ctan20150301-3), m-tx (<< 0.61.ctan20151217-2), gregorio (<= 2.3-1), context (<< 2016), tex4ht (<< 20160814)
Provides: texlive-base-bin, makejvf, mendexk, jmpost, luatex
Description: Binaries for TeX Live
 This package contains all the binaries of TeX Live packages.
 .
 Note that this package alone has hardly any functionality.  Rather,
 choose the texlive-* packages you want to use, e.g.
 texlive-latex-recommended or context

Package: libkpathsea6
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: texlive-binaries (<< 2014), texlive-base (<< 2014)
Description: TeX Live: path search library for TeX (runtime part)
 This package contains the runtime part of the Kpathsea[rch] library,
 which implements generic path searching, configuration, and
 TeX-specific file searching.

Package: libkpathsea-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libkpathsea6 (= ${binary:Version}), ${shlibs:Depends}
Description: TeX Live: path search library for TeX (development part)
 This package contains the static library and header files for the
 Kpathsea[rch] library, which implements generic path searching,
 configuration, and TeX-specific file searching.

Package: libptexenc1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: texlive-binaries (<< 2014), texlive-base (<< 2014)
Description: TeX Live: pTeX encoding library
 library for encoding support in pTeX, a Japanese TeX engine.

Package: libptexenc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libptexenc1 (= ${binary:Version}), ${shlibs:Depends}
Description: TeX Live: ptex encoding library (development part)
 This package contains the static library and header files for the
 ptexenc library, a library for encoding support in pTeX, a Japanese
 TeX engine.

Package: libsynctex1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: TeX Live: SyncTeX parser library
 Library for SyncTeX parsing support.

Package: libsynctex-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libsynctex1 (= ${binary:Version})
Description: Tex Live: SyncTeX parser library (development part)
 This package contains the static library and header files for the SyncTex
 parser library.

Package: libtexlua52
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: TeX Live: Lua 5.2, modified for use with LuaTeX
 The Lua 5.2 library as used within LuaTeX.

Package: libtexlua52-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libtexlua52 (= ${binary:Version})
Description: Tex Live: Lua 5.2, modified for use with LuaTeX (development part)
 This package contains the static library and header files for the texlua
 library.

Package: libtexluajit2
Section: libs
Architecture: amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 powerpc
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: TeX Live: LuaJIT, modified for use with LuaJITTeX
 The LuaJIT library as used within LuaJITTeX.

Package: libtexluajit-dev
Section: libdevel
Architecture: amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 powerpc
Multi-Arch: same
Depends: ${misc:Depends}, libtexluajit2 (= ${binary:Version})
Description: Tex Live: LuaJIT, modified for use with LuaJITTeX (development part)
 This package contains the static library and header files for the texluajit
 library.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for texlive-bin

export SHELL=/bin/bash
export CONFIG_SHELL=/bin/sh

#
# the configure code already checks a lot, but it does not catch
# all cases. We have now two ways to test for where to build.
# One by disabling on the other platforms, one by whitelisting
# and building only on some platforms.
LUAJIT_GOOD_ARCHS := amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 powerpc 

#
# architectures where icu related programs (xetex) have problems
# and core dump etc. Possible fix, but sub-optimal because slowing down
# programs
BROKEN_ICU_ARCHS := mips mipsel sparc64

# In case one wants to build with old automake (<< 1.13.1), the following
# variable has to be set. By default the debian/control requires high
# enough versions of automake and friends
#export AM_V_P=false

DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)


ifeq ($(DEB_HOST_ARCH), alpha)
  export LDFLAGS = -Wl,--no-relax
endif

#
# gcc-4.9 creates broken binaries on s390x, see #753575,
# fix is to use -O1
# see below for a tentative fix that only compiles
# pdftex0.c, but somehow the make check still fails on
# the same tests, while doing the check manually works, strange?!
ifeq ($(DEB_HOST_ARCH), s390x)
  export CFLAGS += -O1
  export CXXFLAGS += -O1
endif

#
# building on mips/sparc etc is somehow broken, try fix from tlbuild
# by setting U_IS_BIG_ENDIAN=0
ifneq (,$(findstring $(DEB_HOST_ARCH), $(BROKEN_ICU_ARCHS)))
  export CFLAGS += -DU_IS_BIG_ENDIAN=0
  export CXXFLAGS += -DU_IS_BIG_ENDIAN=0
else
endif


# for whitelisting good archs
ifeq (,$(filter $(DEB_HOST_ARCH), $(LUAJIT_GOOD_ARCHS)))
  # it is not in the list of good archs -> disable luajittex
  BUILDLUAJITTEX=--disable-luajittex --disable-mfluajit
  WITHLUAJIT=no
else
  # not necessary, but for completeness
  BUILDLUAJITTEX=--enable-luajittex --enable-mfluajit
  WITHLUAJIT=yes
endif

#
# it seems that ARM metafont segfaults due to a problem with armhf's malloc
# see Debian bug #678604
# Building in arm mode helps
#
ifeq ($(DEB_HOST_ARCH), armhf)
  export CFLAGS += -marm
endif


# warning: if the --with autoreconf is removed then
# the patch debian/patches/debian-no-linked-scripts
# must be adapted to also patch the Makefile.in!

%:
	dh $@ --with autoreconf --builddirectory Work

override_dh_autoreconf:
	dh_autoreconf --as-needed

#
# poppler is used two times in TeX Live:
# once for pdftex/xetex
# once for luatex
# - the pdftex/xetex version is controlled via --with-system-xpdf
# - the luatex version is controlled via --with-system-poppler
# As poppler in Debian is too old for luatex, we need to use
#	--without-system-poppler
# but keep build-dep on poppler and use
#	--with-system-xpdf
# so that as much as possible is built from system libs.
#
# 20160222: retry with current poppler (Debian 0.38)
# 20160409: - libpng16 has entered unstable, try to build everything
#	      with system libraries
#           - do not use system teckit as there is no response from
#             the maintainer about schedule for upload to unstable
#             --with-system-teckit		\
#

# disable-largefile seems to break omegafonts, as they core dump
# leave it as is for now and see what else pops up
#	--disable-largefile			\

override_dh_auto_configure:
	# we have to make sure that the mendex test case that is added
	# by a patch is executable
	chmod 0755 texk/mendexk/tests/mendex.test
	# run out configure script
	dh_auto_configure -- -C --prefix=/usr 	\
	--datarootdir=/usr/share/texlive	\
	--disable-native-texlive-build		\
	--disable-missing			\
	--disable-linked-scripts		\
	--with-banner-add=/Debian		\
	--enable-shared				\
	--with-system-zlib			\
	--with-system-zzlib			\
	--with-system-potrace			\
	--with-system-graphite2			\
	--with-system-harfbuzz 			\
	--with-system-libgs			\
	--with-system-pixman			\
	--with-system-libpaper			\
	--with-system-zziplib			\
	--with-system-icu			\
	--with-system-gmp			\
	--with-system-mpfr			\
	--with-system-poppler			\
	--with-system-xpdf			\
	--with-system-freetype2			\
	--with-freetype2-include=/usr/include/freetype2 \
	--with-system-libpng			\
	--with-system-gd			\
	--with-system-cairo 			\
	--with-x				\
	--with-mf-x-toolkit			\
	--with-xdvi-x-toolkit=xaw		\
	$(BUILDLUAJITTEX)			\
	--disable-lcdf-typetools		\
	--disable-biber				\
	--disable-dvipng			\
	--disable-ps2eps			\
	--disable-psutils			\
	--disable-t1utils			\
	--disable-cjkutils			\
	--disable-chktex			\
	--disable-dvidvi			\
	--disable-lacheck			\
	--disable-texdoctk			\
	--disable-ttf2pk			\
	--enable-ttf2pk2			\
	--enable-ipc				

#
# the below should actually solve the problem for s390x
# by only recompiling pdftex0.c with -O1, but somehow
# the test suite still does not succeed, while running
# the same test manually succeeds. I have no idea. 
# Giving up here.
# Sorry s390x, hope for a fix for the gcc bug ...
#override_dh_auto_build:
#	dh_auto_build
#ifeq ($(DEB_HOST_ARCH), s390x)
#	# gcc-4.9 creates broken binaries on s390x, see #753575,
#	# we have to recompile pdftex0.c with -O1 otherwise tests fail
#	cp Work/texk/web2c/Makefile Work/texk/web2c/Makefile.backup
#	cat Work/texk/web2c/Makefile.backup | sed -e 's/\$$(CFLAGS) -c -o pdftex-pdftex0.o/-g -O1 -c -o pdftex-pdftex0.c/' > Work/texk/web2c/Makefile
#	touch Work/texk/web2c/pdftex0.c
#	rm Work/texk/web2c/pdftex
#	rm -f Work/texk/web2c/.libs/pdftex
#	make -C Work/texk/web2c pdftex
#endif

override_dh_auto_build:
	dh_auto_build
	# build the java classes for tex4ht
	mkdir -p Work/tex4ht-java
	cd texk/tex4htk/java ; javac *.java */*.java */*/*.java -d ../../../Work/tex4ht-java
	cd Work/tex4ht-java ; jar cvf ../tex4ht.jar .

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp

override_dh_install:
	# remove .la files which we do not install, so that dh_install
	# can work with --fail-missing
	rm -f debian/tmp/usr/lib/*.la debian/tmp/usr/lib/*/*.la
	# mv c-auto.h into arch-dependent include path
	mkdir -p debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/kpathsea
	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/kpathsea/c-auto.h \
		debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/kpathsea/
	rmdir debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/kpathsea
	dh_install --fail-missing --sourcedir=$(CURDIR)/debian/tmp
	# replace xdvi wrapper shell script with perl variant to
	# allow for opening of gz etc files
	rm debian/texlive-binaries/usr/bin/xdvi
	install -m 0755 debian/xdvi-pl debian/texlive-binaries/usr/bin/xdvi
	# remove texlive directories, they should not be shipped here
	rm -rf debian/texlive-binaries/usr/share/texlive
	# but we ship the tex4ht.jar file here ...
	# install tex4ht.jar
	mkdir -p $(CURDIR)/debian/texlive-binaries/usr/share/texlive/texmf-dist/tex4ht/bin/
	cp Work/tex4ht.jar $(CURDIR)/debian/texlive-binaries/usr/share/texlive/texmf-dist/tex4ht/bin/tex4ht.jar
	# remove wrongly added info/dir.gz
	rm -f debian/texlive-binaries/usr/share/info/dir*
	# remove tlbuild info document, not needed
	rm debian/texlive-binaries/usr/share/info/tlbuild.info*
	rm debian/texlive-binaries/usr/share/man/man1/latex.1*
	rm debian/texlive-binaries/usr/share/man/man1/pdflatex.1*
	rm debian/texlive-binaries/usr/share/man/man1/lamed.1*
	rm debian/texlive-binaries/usr/share/man/man1/amstex.1*
	# for alternatives treatment we rename usr/bin/bibtex to
	# usr/bin/bibtex.original
	mv debian/texlive-binaries/usr/bin/bibtex \
	   debian/texlive-binaries/usr/bin/bibtex.original
	mv debian/texlive-binaries/usr/share/man/man1/bibtex.1 \
	   debian/texlive-binaries/usr/share/man/man1/bibtex.original.1

override_dh_installdocs:
	dh_installdocs
	dh_installdocs -plibptexenc1 -plibptexenc-dev \
		texk/ptexenc/COPYRIGHT texk/ptexenc/README
	dh_installdocs -plibkpathsea6 -plibkpathsea-dev \
		texk/kpathsea/AUTHORS \
		texk/kpathsea/NEWS texk/kpathsea/PROJECTS \
		texk/kpathsea/README
	dh_installdocs -plibsynctex1 -plibsynctex-dev \
		texk/web2c/synctexdir/README.txt	\

## texlive-bin 2016.20160513.41080.dfsg

=== extra/bibtex/Makefile ===
# (Public domain.  Originally written by Karl Berry, 2010.)
# This is just about creating the derived bst files, checking for
# changes, making the distribution for CTAN, etc.  It does not actually
# build a BibTeX executable.  So we keep it in the source repository.
# We're using the TL repo (source/extra/bibtex) purely for convenience.

all: pdf bst

#############################################################################
# documentation
# 
pdflatex = pdflatex --file-line-error
bibtex = bibtex

%.pdf: %.tex %.bbl
	$(pdflatex) '\nonstopmode \input $<'

%.bbl: %.tex %.aux btxdoc.bib
	$(bibtex) $*
	$(pdflatex) '\nonstopmode \input $<'

%.aux: %.tex
	$(pdflatex) '\nonstopmode \input $<'

pdf: btxdoc.pdf btxhak.pdf

.PRECIOUS: %.bbl

#############################################################################
# 
# bst files
# 
bst: plain.bst unsrt.bst alpha.bst abbrv.bst

%.bst: btxbst.doc
# First line, substitute in bare style name.
	echo "% BibTeX standard bibliography style \``basename $@ .bst`'" >$@
#
# About this cpp invocation:
# -traditional so bst integers #1, etc., don't get preprocessed away.
# -w since we know that we have unterminated ', ec.
# -P since we don't want #line in the output.
# -DBSTNAME taken from the target.
#
# Then we grep away the comments without leading whitespace,
# and fold multiple blank lines into one.
	cpp -traditional -w -P -D`basename $@ .bst|tr a-z A-Z` btxbst.doc \
	| grep -v '^%' \
	| uniq \
	>>$@
#
# For diff purposes, expand the original (which might have tabs)
# to the result (which shouldn't have any).
	-grep '	' $@
	-expand ORIG/$@ | diff - $@

#############################################################################
check:
	-grep '	' [a-z]*

dist: all
	rm -f *.blg *.log bibtex.tar.gz
	tar --exclude=\*.aux --exclude=\*.bbl -cvzf bibtex.tar.gz README *.*

clean:
	rm -f *.blg *.log *.aux *.bbl bibtex.tar.gz
	rm -f abbrv.bst alpha.bst plain.bst unsrt.bst

=== libs/poppler/poppler-src/CMakeLists.txt ===
project(poppler)

cmake_minimum_required(VERSION 2.6.0 FATAL_ERROR)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)

include(PopplerDefaults)
include(PopplerMacros)
include(MacroOptionalFindPackage)
find_package(PkgConfig)
include(MacroEnsureVersion)
include(MacroBoolTo01)
find_package(Threads)
include(TestBigEndian)
test_big_endian(WORDS_BIGENDIAN)
include(CheckFileOffsetBits)
CHECK_FILE_OFFSET_BITS()

find_package (ECM 1.6.0 QUIET NO_MODULE)
if (ECM_FOUND)
    include("${ECM_MODULE_DIR}/ECMEnableSanitizers.cmake")
endif()

set(POPPLER_MAJOR_VERSION "0")
set(POPPLER_MINOR_VERSION "42")
set(POPPLER_MICRO_VERSION "0")
set(POPPLER_VERSION "${POPPLER_MAJOR_VERSION}.${POPPLER_MINOR_VERSION}.${POPPLER_MICRO_VERSION}")

# command line switches
option(ENABLE_XPDF_HEADERS "Install unsupported xpdf headers." OFF)
option(BUILD_GTK_TESTS "Whether compile the GTK+ test programs." ON)
option(BUILD_QT4_TESTS "Whether compile the Qt4 test programs." ON)
option(BUILD_QT5_TESTS "Whether compile the Qt5 test programs." ON)
option(BUILD_CPP_TESTS "Whether compile the CPP test programs." ON)
option(ENABLE_SPLASH "Build the Splash graphics backend." ON)
option(ENABLE_UTILS "Compile poppler command line utils." ON)
option(ENABLE_CPP "Compile poppler cpp wrapper." ON)
set(ENABLE_LIBOPENJPEG "auto" CACHE STRING "Use libopenjpeg for JPX streams. Possible values: auto, openjpeg1, openjpeg2. 'auto' prefers openjpeg1 over openjpeg2 if both are available. Unset to not use openjpeg.")
set(ENABLE_CMS "auto" CACHE STRING "Use color management system. Possible values: auto, lcms1, lcms2. 'auto' prefers lcms2 over lcms1 if both are available. Unset to disable color management system.")
option(ENABLE_LIBCURL "Build libcurl based HTTP support." OFF)
option(ENABLE_ZLIB "Build with zlib." ON)
option(ENABLE_ZLIB_UNCOMPRESS "Use zlib to uncompress flate streams (not totally safe)." OFF)
option(SPLASH_CMYK "Include support for CMYK rasterization." OFF)
option(USE_FIXEDPOINT "Use fixed point arithmetic in the Splash backend" OFF)
option(USE_FLOAT "Use single precision arithmetic in the Splash backend" OFF)
if(WIN32)
  option(ENABLE_RELOCATABLE "Do not hardcode the poppler library location (on Windows)." ON)
else(WIN32)
  set(ENABLE_RELOCATABLE OFF)
endif(WIN32)

set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)")
set(SHARE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share" CACHE STRING "Share directory name")

set(TESTDATADIR "${CMAKE_SOURCE_DIR}/../test" CACHE STRING "Specify test data dir.")
if(NOT (EXISTS ${TESTDATADIR} AND EXISTS ${TESTDATADIR}/test-poppler.c))
  message(WARNING "
 No test data found in $testdatadir.
 You will not be able to run 'make test' successfully.

 The test data is not included in the source packages
 and is also not part of the main git repository. Instead,
 you can checkout the test data from its own git
 repository with:

   git clone git://git.freedesktop.org/git/poppler/test

 You should checkout the test data as a sibling of your
 poppler source folder or specify the location of your
 checkout with -DTESTDATADIR=/path/to/checkoutdir/test.
  ")
endif()

if(WIN32)
  set(_default_fontconfiguration "win32")
else(WIN32)
  set(_default_fontconfiguration "fontconfig")
endif(WIN32)
set(FONT_CONFIGURATION "${_default_fontconfiguration}" CACHE STRING "The font configuration backend (win32|fontconfig).")
string(TOLOWER "${FONT_CONFIGURATION}" font_configuration)
set(WITH_FONTCONFIGURATION_WIN32 OFF)
set(WITH_FONTCONFIGURATION_FONTCONFIG OFF)
if(font_configuration STREQUAL "win32")
  set(WITH_FONTCONFIGURATION_WIN32 ON)
elseif(font_configuration STREQUAL "fontconfig")
  set(WITH_FONTCONFIGURATION_FONTCONFIG ON)
else(font_configuration STREQUAL "win32")
  message(FATAL_ERROR "Invalid font configuration setting: ${FONT_CONFIGURATION}")
endif(font_configuration STREQUAL "win32")

# Enable these unconditionally.
set(MULTITHREADED ON)
set(OPI_SUPPORT ON)
set(TEXTOUT_WORD_LIST ON)

# setting the minimum required versions for some components
set(QT4_MIN_VERSION "4.7.0")
set(CAIRO_VERSION "1.10.0")
set(GLIB_REQUIRED "2.18")

macro_bool_to_01(ENABLE_SPLASH HAVE_SPLASH)
find_package(Freetype REQUIRED)
if(WITH_FONTCONFIGURATION_FONTCONFIG)
  find_package(Fontconfig REQUIRED)
endif(WITH_FONTCONFIGURATION_FONTCONFIG)
macro_optional_find_package(JPEG)
macro_optional_find_package(PNG)
macro_optional_find_package(TIFF)
macro_optional_find_package(NSS3)
if(JPEG_FOUND)
  set(ENABLE_LIBJPEG ${JPEG_FOUND})
endif(JPEG_FOUND)
macro_optional_find_package(Qt4)
if(${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}.${CMAKE_PATCH_VERSION} VERSION_GREATER 2.8.7)
  find_package(Qt5Core)
  find_package(Qt5Gui)
  find_package(Qt5Xml)
  find_package(Qt5Widgets)
  find_package(Qt5Test)
  if (Qt5Core_FOUND AND Qt5Gui_FOUND AND Qt5Xml_FOUND AND Qt5Widgets_FOUND AND Qt5Test_FOUND)
    set(QT5_FOUND true)
  else ()
    message("-- Package Qt5Core or Qt5Gui or Qt5Xml or Qt5Widgets or Qt5Test not found")
    set(QT5_FOUND false)
  endif()
else(${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}.${CMAKE_PATCH_VERSION} VERSION_GREATER 2.8.7)
  set(QT5_FOUND false)
  message("-- CMake >= 2.8.8 is needed to enable Qt5")
endif(${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}.${CMAKE_PATCH_VERSION} VERSION_GREATER 2.8.7)

macro_optional_find_package(Cairo ${CAIRO_VERSION})
if(CAIRO_FOUND)
  set(HAVE_CAIRO ${CAIRO_FOUND})
  set(CAIRO_FEATURE "#define POPPLER_HAS_CAIRO 1")
  set(CAIRO_REQ "cairo")
  set(POPPLER_GLIB_DISABLE_DEPRECATED "")
  set(POPPLER_GLIB_DISABLE_SINGLE_INCLUDES "")
  macro_optional_find_package(GLIB)
  if(GLIB_FOUND)
    set(ENABLE_GLIB ON)
    # Check for introspection
    macro_optional_find_package(GObjectIntrospection 0.9.12)
    set(HAVE_INTROSPECTION ${INTROSPECTION_FOUND})
    set(POPPLER_GLIB_DISABLE_DEPRECATED "${POPPLER_GLIB_DISABLE_DEPRECATED} -DG_DISABLE_DEPRECATED")
    set(POPPLER_GLIB_DISABLE_SINGLE_INCLUDES "${POPPLER_GLIB_DISABLE_SINGLE_INCLUDES} -DG_DISABLE_SINGLE_INCLUDES")
    macro_optional_find_package(GTK)
  endif(GLIB_FOUND)
else(CAIRO_FOUND)
  set(CAIRO_FEATURE "#undef POPPLER_HAS_CAIRO")
endif(CAIRO_FOUND)
if(ENABLE_CPP)
  macro_optional_find_package(Iconv)
  set(ENABLE_CPP ${ICONV_FOUND})
  set(HAVE_ICONV ${ICONV_FOUND})
endif(ENABLE_CPP)
if(ENABLE_ZLIB)
  find_package(ZLIB)
  if(ZLIB_FOUND)
    set(HAVE_LIBZ ${ZLIB_FOUND})
  endif(ZLIB_FOUND)
  set(ENABLE_ZLIB ${ZLIB_FOUND})
endif(ENABLE_ZLIB)
if(ENABLE_ZLIB_UNCOMPRESS AND NOT ENABLE_ZLIB)
  message("Warning: ENABLE_ZLIB_UNCOMPRESS requires ENABLE_ZLIB")
  set(ENABLE_ZLIB_UNCOMPRESS FALSE)
endif(ENABLE_ZLIB_UNCOMPRESS AND NOT ENABLE_ZLIB)
set(USE_OPENJPEG1 FALSE)
set(USE_OPENJPEG2 FALSE)
set(WITH_OPENJPEG FALSE)
if(ENABLE_LIBOPENJPEG STREQUAL "auto")
  find_package(LIBOPENJPEG)
  set(USE_OPENJPEG1 ${LIBOPENJPEG_FOUND})
  set(WITH_OPENJPEG ${LIBOPENJPEG_FOUND})
  if(NOT LIBOPENJPEG_FOUND)
    find_package(LIBOPENJPEG2)
    set(USE_OPENJPEG2 ${LIBOPENJPEG2_FOUND})
    set(WITH_OPENJPEG ${LIBOPENJPEG2_FOUND})
  endif()
elseif(ENABLE_LIBOPENJPEG STREQUAL "openjpeg1")
  find_package(LIBOPENJPEG)
  set(USE_OPENJPEG1 ${LIBOPENJPEG_FOUND})
  set(WITH_OPENJPEG ${LIBOPENJPEG_FOUND})
elseif(ENABLE_LIBOPENJPEG STREQUAL "openjpeg2")
  find_package(LIBOPENJPEG2)
  set(USE_OPENJPEG2 ${LIBOPENJPEG2_FOUND})
  set(WITH_OPENJPEG ${LIBOPENJPEG2_FOUND})
endif()
set(ENABLE_LIBOPENJPEG "${WITH_OPENJPEG}")
if(ENABLE_CMS STREQUAL "auto")
  find_package(LCMS2)
  set(USE_CMS ${LCMS2_FOUND})
  if(NOT LCMS2_FOUND)
    find_package(LCMS)
    set(USE_CMS ${LCMS_FOUND})
    set(USE_LCMS1 ${LCMS_FOUND})
  endif(NOT LCMS2_FOUND)
elseif(ENABLE_CMS STREQUAL "lcms1")
  find_package(LCMS)
  set(USE_CMS ${LCMS_FOUND})
  set(USE_LCMS1 ${LCMS_FOUND})
elseif(ENABLE_CMS STREQUAL "lcms2")
  find_package(LCMS2)
  set(USE_CMS ${LCMS2_FOUND})
endif()
if(ENABLE_LIBCURL)
  find_package(CURL)
  include_directories(${CURL_INCLUDE_DIR})
  set(POPPLER_HAS_CURL_SUPPORT ON)
endif(ENABLE_LIBCURL)

add_definitions(-DHAVE_CONFIG_H=1)
if(MINGW)
  # Use mingw's ansi stdio extensions
  add_definitions(-D__USE_MINGW_ANSI_STDIO=1)
endif(MINGW)
if(FONTCONFIG_FOUND)
  add_definitions(${FONTCONFIG_DEFINITIONS})
  include_directories(${FONTCONFIG_INCLUDE_DIR})
endif(FONTCONFIG_FOUND)
if(WITH_FONTCONFIGURATION_WIN32)
  if(MINGW)
    # Set the minimum required Internet Explorer version to 5.0
    add_definitions(-D_WIN32_IE=0x0500)
  endif(MINGW)
endif(WITH_FONTCONFIGURATION_WIN32)
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/fofi
  ${CMAKE_CURRENT_SOURCE_DIR}/goo
  ${CMAKE_CURRENT_SOURCE_DIR}/poppler
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/poppler
  ${FREETYPE_INCLUDE_DIRS}
)
set(HAVE_FREETYPE_H ON)
if(CMAKE_USE_PTHREADS_INIT)
  set(HAVE_PTHREAD ON)
endif(CMAKE_USE_PTHREADS_INIT)

if(ENABLE_ZLIB)
  include_directories(${ZLIB_INCLUDE_DIR})
endif(ENABLE_ZLIB)

if (NSS3_FOUND)
  add_definitions(${NSS3_CFLAGS})
  set(ENABLE_NSS3 ON)
endif(NSS3_FOUND)
if(JPEG_FOUND)
  include_directories(${JPEG_INCLUDE_DIR})
  set(ENABLE_LIBJPEG ON)
endif(JPEG_FOUND)
if(PNG_FOUND)
  include_directories(${PNG_INCLUDE_DIR})
  set(ENABLE_LIBPNG ON)
endif(PNG_FOUND)
if(TIFF_FOUND)
  include_directories(${TIFF_INCLUDE_DIR})
  set(ENABLE_LIBTIFF ON)
endif(TIFF_FOUND)
if(LIBOPENJPEG_FOUND)
  include_directories(${LIBOPENJPEG_INCLUDE_DIR})
endif(LIBOPENJPEG_FOUND)
if(LIBOPENJPEG2_FOUND)
  include_directories(${LIBOPENJPEG2_INCLUDE_DIRS})
endif()
if(LCMS_FOUND)
  include_directories(${LCMS_INCLUDE_DIR})
endif(LCMS_FOUND)
if(LCMS2_FOUND)
  include_directories(${LCMS2_INCLUDE_DIR})
endif(LCMS2_FOUND)

# Recent versions of poppler-data install a .pc file.
# Use it to determine the encoding data path, if available.
# Default to the same prefix otherwise.
pkg_check_modules(POPPLER_DATA poppler-data)
if(POPPLER_DATA_FOUND)
  execute_process(COMMAND "${PKG_CONFIG_EXECUTABLE}" --variable=poppler_datadir poppler-data
                  RESULT_VARIABLE _result_var
                  OUTPUT_VARIABLE _output_var OUTPUT_STRIP_TRAILING_WHITESPACE)
  if(_result_var STREQUAL "0" AND NOT _output_var STREQUAL "")
    set(POPPLER_DATADIR "${_output_var}")
  endif(_result_var STREQUAL "0" AND NOT _output_var STREQUAL "")
endif(POPPLER_DATA_FOUND)
if(NOT DEFINED POPPLER_DATADIR)
  set(POPPLER_DATADIR "${CMAKE_INSTALL_PREFIX}/share/poppler")
endif(NOT DEFINED POPPLER_DATADIR)

if(DEFINED COMPILE_WARNINGS)
else(DEFINED COMPILE_WARNINGS)
  set(COMPILE_WARNINGS "yes")
endif(DEFINED COMPILE_WARNINGS)
string(TOLOWER "${COMPILE_WARNINGS}" _comp_warnings)
if(_comp_warnings STREQUAL "no")
  set(CMAKE_CXX_FLAGS "${DEFAULT_COMPILE_WARNINGS_NO} ${CMAKE_CXX_FLAGS}")
endif(_comp_warnings STREQUAL "no")
if(_comp_warnings STREQUAL "yes")
  set(CMAKE_C_FLAGS "-Wall ${CMAKE_C_FLAGS}")
  set(CMAKE_CXX_FLAGS "${DEFAULT_COMPILE_WARNINGS_YES} ${CMAKE_CXX_FLAGS}")
endif(_comp_warnings STREQUAL "yes")
if(_comp_warnings STREQUAL "kde")
  set(CMAKE_C_FLAGS "-Wall ${CMAKE_C_FLAGS}")
  set(CMAKE_CXX_FLAGS "${DEFAULT_COMPILE_WARNINGS_KDE} ${CMAKE_CXX_FLAGS}")
endif(_comp_warnings STREQUAL "kde")


include(ConfigureChecks.cmake)
configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
configure_file(poppler/poppler-config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/poppler/poppler-config.h)


set(poppler_SRCS
  goo/gfile.cc
  goo/gmempp.cc
  goo/GooHash.cc
  goo/GooList.cc
  goo/GooTimer.cc
  goo/GooString.cc
  goo/gmem.cc
  goo/FixedPoint.cc
  goo/NetPBMWriter.cc
  goo/PNGWriter.cc
  goo/TiffWriter.cc
  goo/JpegWriter.cc
  goo/ImgWriter.cc
  goo/gstrtod.cc
  goo/grandom.cc
  fofi/FoFiBase.cc
  fofi/FoFiEncodings.cc
  fofi/FoFiTrueType.cc
  fofi/FoFiType1.cc
  fofi/FoFiType1C.cc
  fofi/FoFiIdentifier.cc
  poppler/Annot.cc
  poppler/Array.cc
  poppler/BuiltinFont.cc
  poppler/BuiltinFontTables.cc
  poppler/CachedFile.cc
  poppler/Catalog.cc
  poppler/CharCodeToUnicode.cc
  poppler/CMap.cc
  poppler/DateInfo.cc
  poppler/Decrypt.cc
  poppler/Dict.cc
  poppler/Error.cc
  poppler/FileSpec.cc

=== debian/changelog ===
texlive-bin (2016.20160513.41080.dfsg-2+deb9u1) stretch-security; urgency=high

  * fix buffer overflow in writet1

 -- Norbert Preining <preining@debian.org>  Wed, 19 Sep 2018 13:18:30 +0900

texlive-bin (2016.20160513.41080.dfsg-2) unstable; urgency=medium

  * cherrypick upstream svn43637 (Closes: #796490)
    When embedding png images with alpha channel, pdftex did embed
    twice as much memory and left the second half uninitialized.
    Thanks to David Fifield for research and fix.

 -- Norbert Preining <preining@debian.org>  Thu, 30 Mar 2017 10:02:29 +0900

texlive-bin (2016.20160513.41080.dfsg-1) unstable; urgency=medium

  * new upstream repackaging:
    - drop SFConv from upstream tarball as it contains non-free files
  * cherrypick several upstream fixes:
    - svn42692..42695,42703 dvips: fix emstring initialization errors
    - svn42711, 42715, 42720, 42723 fix various contact email addresses
    - svn42784 upmendex: Cyrillic Extended-C for upmendex
    - svn42803 dvipdfmx: update cid base font info
  * fix five man-page lintian warnings

 -- Norbert Preining <preining@debian.org>  Wed, 11 Jan 2017 22:45:03 +0900

texlive-bin (2016.20160513.41080-8) unstable; urgency=medium

  * cherrypick several upstream fixes:
    - svn42380 use initstarttime in euptex
    - svn42381 use initstarttime in eptex
    - svn42383 use -1 for invalid epoch (dvips)
    - svn42391 use -1 for invalid epoch (dvipdfmx)
    - svn42488 - 42493 avoid access violation in (up)mendex
    - svn42506 new random number primitives for e(u)ptex
  * remove mips(el) from ICU broken list (Closes: #836454)
    (Thanks to James Cowgill for tracking down and testing!)
  * remove s390 special treatment, gcc has been fixed

 -- Norbert Preining <preining@debian.org>  Tue, 15 Nov 2016 07:20:21 +0900

texlive-bin (2016.20160513.41080-7) unstable; urgency=medium

  * do not install tex4ht dangling symlinks, leave that to tl-htmlxml
    (Closes: #835803)
  * cherrypick several upstream fixes:
    - svn41762 improve (e)ptex savepos
    - svn41998 (e)ptex: allow only 8bit catcode
    - svn42040 add ifmbox primitive to ptex
    - svn42041 adapt eptex for ifmbox
    - svn42110 fix tex4ht's compatibility with xetex
    - svn42167 fix for mendex

 -- Norbert Preining <preining@debian.org>  Sat, 01 Oct 2016 14:53:05 +0900

=== debian/control ===
--- 
+++ 
@@ -60,7 +60,8 @@
 Recommends: texlive-base, python, ruby, wish
 Replaces: texlive-metapost (<< 2010), texlive-base (<< 2010), ptex-bin, mendexk, jmpost, luatex (<< 2014), musixtex (<< 1:1.20.ctan20151216-3), pmx (<< 2.7.0.ctan20150301-3), m-tx (<< 0.61.ctan20151217-2), gregorio (<= 2.3-1), tex4ht (<< 20160814)
 Conflicts: mendexk, makejvf, jmpost
-Breaks: texlive-base (<< 2016), jtex-bin, multex-bin, luatex (<< 2014), tex-common (<< 6), musixtex (<< 1:1.20.ctan20151216-3), pmx (<< 2.7.0.ctan20150301-3), m-tx (<< 0.61.ctan20151217-2), gregorio (<= 2.3-1), context (<< 2016), tex4ht (<< 20160814)
+Breaks: texlive-base (<< 2016), jtex-bin, multex-bin, luatex (<< 2014), tex-common (<< 6), musixtex (<< 1:1.20.ctan20151216-3), pmx (<< 2.7.0.ctan20150301-3), m-tx (<< 0.61.ctan20151217-2), gregorio (<= 2.3-1), context (<< 2016), tex4ht (<< 20160814),
+  texlive-htmlxml (<< 2016.20160829)
 Provides: texlive-base-bin, makejvf, mendexk, jmpost, luatex
 Description: Binaries for TeX Live
  This package contains all the binaries of TeX Live packages.

=== debian/rules ===
--- 
+++ 
@@ -11,12 +11,6 @@
 # and building only on some platforms.
 LUAJIT_GOOD_ARCHS := amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 powerpc 
 
-#
-# architectures where icu related programs (xetex) have problems
-# and core dump etc. Possible fix, but sub-optimal because slowing down
-# programs
-BROKEN_ICU_ARCHS := mips mipsel sparc64
-
 # In case one wants to build with old automake (<< 1.13.1), the following
 # variable has to be set. By default the debian/control requires high
 # enough versions of automake and friends
@@ -31,19 +25,12 @@
 endif
 
 #
-# gcc-4.9 creates broken binaries on s390x, see #753575,
-# fix is to use -O1
-# see below for a tentative fix that only compiles
-# pdftex0.c, but somehow the make check still fails on
-# the same tests, while doing the check manually works, strange?!
-ifeq ($(DEB_HOST_ARCH), s390x)
-  export CFLAGS += -O1
-  export CXXFLAGS += -O1
-endif
-
-#
-# building on mips/sparc etc is somehow broken, try fix from tlbuild
-# by setting U_IS_BIG_ENDIAN=0
+#
+# architectures where icu related programs (xetex) have problems
+# and core dump etc. Possible fix, but sub-optimal because slowing down
+# programs
+# TODO should be checked whether this still happens!
+BROKEN_ICU_ARCHS := sparc64
 ifneq (,$(findstring $(DEB_HOST_ARCH), $(BROKEN_ICU_ARCHS)))
   export CFLAGS += -DU_IS_BIG_ENDIAN=0
   export CXXFLAGS += -DU_IS_BIG_ENDIAN=0
@@ -156,26 +143,6 @@
 	--enable-ttf2pk2			\
 	--enable-ipc				
 
-#
-# the below should actually solve the problem for s390x
-# by only recompiling pdftex0.c with -O1, but somehow
-# the test suite still does not succeed, while running
-# the same test manually succeeds. I have no idea. 
-# Giving up here.
-# Sorry s390x, hope for a fix for the gcc bug ...
-#override_dh_auto_build:
-#	dh_auto_build
-#ifeq ($(DEB_HOST_ARCH), s390x)
-#	# gcc-4.9 creates broken binaries on s390x, see #753575,
-#	# we have to recompile pdftex0.c with -O1 otherwise tests fail
-#	cp Work/texk/web2c/Makefile Work/texk/web2c/Makefile.backup
-#	cat Work/texk/web2c/Makefile.backup | sed -e 's/\$$(CFLAGS) -c -o pdftex-pdftex0.o/-g -O1 -c -o pdftex-pdftex0.c/' > Work/texk/web2c/Makefile
-#	touch Work/texk/web2c/pdftex0.c
-#	rm Work/texk/web2c/pdftex
-#	rm -f Work/texk/web2c/.libs/pdftex
-#	make -C Work/texk/web2c pdftex
-#endif
-
 override_dh_auto_build:
 	dh_auto_build
 	# build the java classes for tex4ht
@@ -214,12 +181,26 @@
 	rm debian/texlive-binaries/usr/share/man/man1/pdflatex.1*
 	rm debian/texlive-binaries/usr/share/man/man1/lamed.1*
 	rm debian/texlive-binaries/usr/share/man/man1/amstex.1*
+	#
+	# remove tex4ht links, they are shipped with tl-htmlxml
+	for i in ht htcontext htlatex htmex httex httexi htxelatex htxetex mk4ht ; do \
+	  rm debian/texlive-binaries/usr/bin/$$i ; \
+	done
 	# for alternatives treatment we rename usr/bin/bibtex to
 	# usr/bin/bibtex.original
 	mv debian/texlive-binaries/usr/bin/bibtex \
 	   debian/texlive-binaries/usr/bin/bibtex.original
 	mv debian/texlive-binaries/usr/share/man/man1/bibtex.1 \
 	   debian/texlive-binaries/usr/share/man/man1/bibtex.original.1
+	# find dangling symlinks in /usr/bin and error out if found
+	err=0 ; for i in `find debian/texlive-binaries/usr/bin -type l` ; do \
+	  f=`realpath $$i` ; \
+	  if [ ! -r "$$f" ] ; then \
+	    echo "ERROR: dangling symbolic link $$f" ; \
+	    err=1 ; \
+	  fi ; \
+	done ; if [ $$err = 1 ] ; then exit 1 ; fi
+
 
 override_dh_installdocs:
 	dh_installdocs
@@ -231,3 +212,25 @@
 		texk/kpathsea/README
 	dh_installdocs -plibsynctex1 -plibsynctex-dev \
 		texk/web2c/synctexdir/README.txt	\
+		texk/web2c/synctexdir/synctex_parser_readme.txt
+	#dh_installdocs -plibtexlua52 -plibtexlua52-dev \
+	#	NOTHING TO INSTALL
+ifeq ($(WITHLUAJIT), yes)
+	dh_installdocs -plibtexluajit2 -plibtexluajit-dev
+endif
+
+override_dh_installchangelogs:
+	dh_installchangelogs
+	dh_installchangelogs -plibkpathsea6 -plibkpathsea-dev \
+		texk/kpathsea/ChangeLog
+	dh_installchangelogs -plibptexenc1 -plibptexenc-dev \
+		texk/ptexenc/ChangeLog
+	dh_installchangelogs -plibsynctex1 -plibsynctex-dev \
+		texk/web2c/synctexdir/ChangeLog
+	dh_installchangelogs -plibtexlua52 -plibtexlua52-dev \
+		libs/lua52/lua52-PATCHES/ChangeLog
+ifeq ($(WITHLUAJIT), yes)
+	dh_installchangelogs -plibtexluajit2 -plibtexluajit-dev \
+		libs/luajit/LuaJIT-PATCHES/ChangeLog
+endif
+
